<template>
	<view>
		<view id="text">
			<rich-text :nodes="item.dictDescribe"></rich-text>
		</view>
	</view>
</template>

<script>
import { getQueryDictByNameApi } from '../../api/user'
export default {
	name: 'Protocol',
	data() {
		return {
			type: 'app_privacy_agreement',
			item: {}
		}
	},
	onLoad(item) {
		this.type = item.type
		let title = '《巨蜂》商城用户协议'
		if (this.type === 'app_privacy_agreement') {
			title = '《巨蜂》商城隐私协议'
		}
		uni.setNavigationBarTitle({
			title
		})
		this.getquery()
	},
	methods: {
		getquery() {
			getQueryDictByNameApi({ name: this.type }, 'GET')
				.then((res) => {
					this.item = res.data
				})
		}

	}
}
</script>

<style scoped>
#text {
	padding: 40rpx;
}
</style>
